-- pps_base_info


-- pps_measure



-- pps_interface


-- pps_workflow



--pps_interface


--pps_base_frame
create table pps_base_frame.form_func_extension_task (
	id varchar(40) NOT NULL,
	form_input_record_id varchar(40) NULL,
	form_func_extension_id varchar(200) NULL,
	status int4 NULL,
	completed_time timestamp NULL,
	create_user_id varchar(40) NULL,
	create_name varchar(50) NULL,
	create_time timestamp NULL,
	modify_user_id varchar(40) NULL,
	modify_by_name varchar(50) NULL,
	modify_time timestamp NULL,
PRIMARY KEY (id)
);
comment on table pps_base_frame.form_func_extension_task is '表单功能扩展任务';


COMMENT ON COLUMN pps_base_frame.form_func_extension_task.id IS '主键id';
COMMENT ON COLUMN pps_base_frame.form_func_extension_task.form_input_record_id IS '表单填报id';
COMMENT ON COLUMN pps_base_frame.form_func_extension_task.form_func_extension_id IS '扩展任务id';
COMMENT ON COLUMN pps_base_frame.form_func_extension_task.status IS '状态，0未完成，1已完成，2已取消';
COMMENT ON COLUMN pps_base_frame.form_func_extension_task.completed_time IS '完成时间';
COMMENT ON COLUMN pps_base_frame.form_func_extension_task.create_user_id IS '创建人';
COMMENT ON COLUMN pps_base_frame.form_func_extension_task.create_name IS '创建人名称';
COMMENT ON COLUMN pps_base_frame.form_func_extension_task.create_time IS '创建时间';
COMMENT ON COLUMN pps_base_frame.form_func_extension_task.modify_user_id IS '修改人';
COMMENT ON COLUMN pps_base_frame.form_func_extension_task.modify_by_name IS '修改人名称';
COMMENT ON COLUMN pps_base_frame.form_func_extension_task.modify_time IS '修改时间';


ALTER TABLE pps_base_frame.form_workflow_rel ADD form_extension varchar NULL;
COMMENT ON COLUMN pps_base_frame.form_workflow_rel.form_extension IS '表单扩展功能（字典）';
ALTER TABLE pps_base_frame.form_fill_conf ADD tab_name varchar NULL;
COMMENT ON COLUMN pps_base_frame.form_fill_conf.tab_name IS '跳转标签名称';
ALTER TABLE pps_base_frame.form_fill_conf_sub ADD default_select bool NULL;
COMMENT ON COLUMN pps_base_frame.form_fill_conf_sub.default_select IS '是否默认选中';

ALTER TABLE pps_base_frame.form_func_extension_task ADD valid_time timestamp NULL;

ALTER TABLE pps_base_frame.form_input_record ADD auto_build int1 NULL;
COMMENT ON COLUMN pps_base_frame.form_input_record.auto_build IS '自动创建';


--pps_dispatch
ALTER TABLE pps_dispatch.disp_task_plan_approval ADD batch_id varchar NULL;
COMMENT ON COLUMN pps_dispatch.disp_task_plan_approval.batch_id IS '批次id';
ALTER TABLE pps_dispatch.disp_task_plan_batch ADD task_ids varchar NULL;
COMMENT ON COLUMN pps_dispatch.disp_task_plan_batch.task_ids IS '计划ids，逗号连接';
ALTER TABLE pps_dispatch.disp_task_plan ADD tx_approval_status int4 NULL;
COMMENT ON COLUMN pps_dispatch.disp_task_plan.tx_approval_status IS '通信部审核状态';
ALTER TABLE pps_dispatch.disp_task_plan ADD tx_approval_comments varchar NULL;
COMMENT ON COLUMN pps_dispatch.disp_task_plan.tx_approval_comments IS '通信部审核备注';

COMMENT ON TABLE pps_dispatch.disp_task_plan IS '作业计划详情';
COMMENT ON TABLE pps_dispatch.disp_task_plan_approval IS '作业计划审批';
COMMENT ON TABLE pps_dispatch.disp_task_plan_progress IS '作业计划填报进展';
ALTER TABLE pps_dispatch.disp_task_plan ADD is_start int4 NULL;
COMMENT ON COLUMN pps_dispatch.disp_task_plan.is_start IS '油调审核时（开始作业标志位）';
ALTER TABLE pps_dispatch.disp_task_plan ALTER COLUMN is_start SET DEFAULT 0;
